Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 328639 - Please install www-plugins/adobe-flash in a directory different than /opt/netscape/
Summary: Please install www-plugins/adobe-flash in a directory different than /opt/net...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Jim Ramsay (lack) (RETIRED)
URL: http://my.opera.com/community/forums/...
Whiteboard:
Keywords:
: 328593 (view as bug list)
Depends on:
Blocks: 326841
  Show dependency tree
 
Reported: 2010-07-16 18:49 UTC by Denilson Sá
Modified: 2013-09-23 18:03 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denilson Sá 2010-07-16 18:49:07 UTC
If Adobe Flash plugin is installed in a path that contains the name 'netscape', then it will enter some kind of compatibility mode and will not work in any browser that is not a Mozilla derivative. Thus, it doesn't work correctly in Opera (and maybe in webkit-based browsers, but I can't check that).

Please stop installing it at /opt/netscape/plugins32/ and start installing it at /opt/nsbrowser/plugins32/ or /opt/adobe-flash/ or anything else that doesn't contain 'netscape'.


This is a very old bug... I've first discovered it in 2007, and described in my blog:
http://my.opera.com/CrazyTerabyte/blog/2007/07/27/playing-flash-videos-in-opera-under-gentoo-linux

There was also the bug 127200.

Now, I've posted this issue at Opera forums and I got this response:
http://my.opera.com/community/forums/topic.dml?id=653262
"...distros would stop storing plugins in a directory called 'netscape'. There really is no reason to do so these days."

Finally, if *this* bug gets fixed, then bug 326841 can be closed (as it depends on this one).
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2010-07-16 19:07:18 UTC
*** Bug 328593 has been marked as a duplicate of this bug. ***
Comment 2 Jeroen Roovers gentoo-dev 2010-07-19 01:46:54 UTC
Oh, and if you have FSH-like concerns, then rest assured that /opt/netscape wouldn't be the right place anyway - the vendor is Adobe, not Netscape, so it should be /opt/adobe/ (and with a symlink from /usr/lib/nsbrowser/plugins, please. :)
Comment 3 Jim Ramsay (lack) (RETIRED) gentoo-dev 2010-07-20 14:50:01 UTC
(In reply to comment #0)
> If Adobe Flash plugin is installed in a path that contains the name 'netscape',
> then it will enter some kind of compatibility mode and will not work in any
> browser that is not a Mozilla derivative. Thus, it doesn't work correctly in
> Opera (and maybe in webkit-based browsers, but I can't check that).

What is this "it" that enters compatibility mode?  Flash itself?  Crazy.

> Please stop installing it at /opt/netscape/plugins32/ and start installing it
> at /opt/nsbrowser/plugins32/ or /opt/adobe-flash/ or anything else that doesn't
> contain 'netscape'.

Sure, this is leftover for historical reasons (ie, bitrot) and I have no problem updating this.  Since there's already an /opt/Adobe/Reader9 created by app-text/acroread, perhaps I'll go with:
  /opt/Adobe/flash-plugin

> This is a very old bug... I've first discovered it in 2007, and described in my
> blog:
> http://my.opera.com/CrazyTerabyte/blog/2007/07/27/playing-flash-videos-in-opera-under-gentoo-linux
> 
> There was also the bug 127200.

A very interesting read, thank you for bringing it to my attention.  Also a big thank you for being persistent about this, I don't think I would have heard about it otherwise.

> Now, I've posted this issue at Opera forums and I got this response:
> http://my.opera.com/community/forums/topic.dml?id=653262
> "...distros would stop storing plugins in a directory called 'netscape'. There
> really is no reason to do so these days."

They are right.  In fact, the actual RPM we get from adobe would on an RPM system install this in /usr/lib/flash-plugin/

> Finally, if *this* bug gets fixed, then bug 326841 can be closed (as it depends
> on this one).

Great, 2 birds with one stone.  Please give www-plugins/adobe-flash-10.1.53.64-r1 a try and let me know.
Comment 4 Jim Ramsay (lack) (RETIRED) gentoo-dev 2010-07-20 14:54:04 UTC
(In reply to comment #2)
> Oh, and if you have FSH-like concerns, then rest assured that /opt/netscape
> wouldn't be the right place anyway - the vendor is Adobe, not Netscape, so it
> should be /opt/adobe/ (and with a symlink from /usr/lib/nsbrowser/plugins,
> please. :)

Indeed, /opt/Adobe/flash-plugin is my current working idea.  And don't worry about 'nsbrowser/plugins', we get that symlink for free thanks to 'inst_plugin'
Comment 5 Denilson Sá 2010-07-20 15:53:42 UTC
(In reply to comment #3)
> What is this "it" that enters compatibility mode?  Flash itself?  Crazy.

Yeah... Crazy, I know... Look at bug 127200 comment #7.

> Please give www-plugins/adobe-flash-10.1.53.64-r1 a try and let me know.

Appears to work fine, thanks. Do you think this version can get stable sooner than 30 days? (I'm thinking about fixing this issue for other users, since I'm already using this fixed version).
Comment 6 Jim Ramsay (lack) (RETIRED) gentoo-dev 2010-07-20 16:21:57 UTC
(In reply to comment #5)
> Appears to work fine, thanks. Do you think this version can get stable sooner
> than 30 days? (I'm thinking about fixing this issue for other users, since I'm
> already using this fixed version).

Well, since this is a proprietary binary, it's not like it's going to get any more stable by waiting, since I am forced to close most bug reports with "Go ask Adobe :("

Plus this really a follow-on from the security bug #322855 so I think that's a good enough reason to get 10.1 working for Opera users sooner rather than later.  I think I'll wait just a few days to get a bit more play out of it for firefox/chromium/etc users to make sure this doesn't have any unintended consequences.  None yet observed with firefox or uzbl on my end.

(Truth be told I was secretly hoping that not running this in "legacy" mode would solve some current stability issues on amd64+firefox, but no such luck.)

But since you've reported it works, I'm marking this bug as fixed.  Please don't hesitate to poke me if I forget to ask for stabilization by the end of the week.
Comment 7 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-09-23 16:31:25 UTC
Why not install it in /usr/lib64/nsbrowser/plugins? That's the canonical location for plugins, it seems. I see no point in moving files around and adding symlinks in the name of moving files around. And to be honest, the ebuild starts looking terrible thanks to that...
Comment 8 Jeroen Roovers gentoo-dev 2013-09-23 18:03:14 UTC
(In reply to Michał Górny from comment #7)
> Why not install it in /usr/lib64/nsbrowser/plugins? That's the canonical
> location for plugins, it seems. I see no point in moving files around and
> adding symlinks in the name of moving files around. And to be honest, the
> ebuild starts looking terrible thanks to that...

Some people believe that closed source binaries should be installed in /opt. If you disagree and make a nice case for it, please do so in a new bug report.